<div class="rui-field rui-field--inline">
  <div class="rui-field__field">
    <!-- Label, button, icon,... No need to set the "*__append" class on buttons -->
    <label for="input" class="rui-field__field__append">Duration</label>

    <input type="number" id="input" name="duration">

    <!-- Text, buttons, ... No need to set the "*__append" class on buttons -->
    <div class="rui-field__field__append">hours</div>
    <button type="button" class="rui-button rui-button--creative">OK</button>
  </div>

  <!-- Optional help and errors -->
  <div class="rui-field__help">Duration in hours</div>
</div>
